//
//  baskModel.m
//  UI13_豆瓣
//
//  Created by YIem on 15/12/25.
//  Copyright © 2015年 www.yiem.net YIem博客. All rights reserved.
//

#import "baseModel.h"

@implementation baseModel
- (instancetype)initWithDic:(NSDictionary *)dic
{
    self = [super init];
    if (self) {
        [self setValuesForKeysWithDictionary:dic];
    }
    return self;
}
+ (instancetype)modelWithDic:(NSDictionary *)dic
{
    id m = [[[self class] alloc] initWithDic:dic];
    return m;
}
+ (NSMutableArray *)modelHanderWithArray:(NSArray *)arr
{
    NSMutableArray *mArr = [NSMutableArray array];
    for (NSDictionary *dic in arr) {
        id m = [[self class] modelWithDic:dic];
        [mArr addObject:m];
    }
    return mArr;
}
- (void)setValue:(id)value forUndefinedKey:(NSString *)key
{
    
}
@end
