//
//  CinemaTableViewCell.m
//  豆瓣
//
//  Created by YIem on 16/1/29.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "CinemaTableViewCell.h"
@interface CinemaTableViewCell ()
@property (nonatomic, strong) UIView *BottomView;
@end
@implementation CinemaTableViewCell
- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        // View
        self.BottomView = [[UIView alloc]init];
        //  _BottomView.backgroundColor = [UIColor brownColor];
        
        [self.contentView addSubview:_BottomView];
        // 背景
        self.bjimg = [[UIImageView alloc]init];
        [self.BottomView addSubview:_bjimg];
        // Titile
        self.TitleLable = [[UILabel alloc]init];
        _TitleLable.font = [UIFont boldSystemFontOfSize:22];
        [_BottomView addSubview:_TitleLable];
        // Body
        self.BodyLable = [[UILabel alloc]init];
        // 行数不限制
        _BodyLable.numberOfLines = 0;
        [_BottomView addSubview:_BodyLable];
        // Time
        self.TimeLable = [[UILabel alloc]init];
        [_BottomView addSubview:_TimeLable];
    }
    return self;
}
- (void)layoutSubviews
{
    [super layoutSubviews];
    // zhu
    _BottomView.frame = CGRectMake(10, 5, self.contentView.frame.size.width - 20, self.contentView.frame.size.height - 20);
    // 背景
    _bjimg.frame = CGRectMake(0, 0, self.contentView.frame.size.width - 20, self.contentView.frame.size.height - 20);
    // Title
    _TitleLable.frame = CGRectMake(20, 5, 300, 50);
    // Body
    CGFloat h = [[self class] heightWithText:_BodyLable.text];
    _BodyLable.numberOfLines = 0;
    
    _BodyLable.frame = CGRectMake(20, 50, 300, h);
    
    // Time
    _TimeLable.frame = CGRectMake(20, self.BodyLable.frame.size.height + 50, _BottomView.frame.size.width - 20, 30);
}
+ (CGFloat)heightWithText:(NSString *)text
{
    NSDictionary *dic = @{NSFontAttributeName:[UIFont systemFontOfSize:17]};
    CGSize size = CGSizeMake(375 - 20, 1000);
    CGRect rect = [text boundingRectWithSize:size options:NSStringDrawingUsesLineFragmentOrigin attributes:dic context:nil];
    return rect.size.height;
}

- (void)awakeFromNib {
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

@end
