//
//  MovieTableViewCell.m
//  豆瓣
//
//  Created by YIem on 16/1/29.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "MovieTableViewCell.h"
@interface MovieTableViewCell ()
@property (nonatomic, strong) UIView *bottomView;
@end
@implementation MovieTableViewCell
- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        //
        
        //   _bottomView.backgroundColor = [UIColor cyanColor];
        // 强行铺图
        //   _bottomView.backgroundColor = [UIColor colorWithPatternImage:[UIImage imageNamed:@"bg_eventlistcell"]];
        self.bottomView = [[UIView alloc]init];
        //  _bottomView.layer.cornerRadius =10;
        [self.contentView addSubview:_bottomView];
        
        
        // 背景
        self.bjImg = [[UIImageView alloc] init];
        [_bottomView addSubview:_bjImg];
        
        
        // Image
        self.movieImg = [[UIImageView alloc]init];
        // _movieImg.backgroundColor = [UIColor redColor];
        [_bottomView addSubview:_movieImg];
        // Title
        self.movieTitle = [[UILabel alloc]init];
        // _movieTitle.backgroundColor = [UIColor yellowColor];
        _movieTitle.font = [UIFont boldSystemFontOfSize:25];
        [_bottomView addSubview:_movieTitle];
        
    }
    return self;
}
- (void)layoutSubviews
{
    [super layoutSubviews];
    _bottomView.frame = CGRectMake(10, 10, self.contentView.frame.size.width - 20, self.contentView.frame.size.height - 20);
    // Image
    _movieImg.frame = CGRectMake(10, 10, 100, _bottomView.frame.size.height - 20);
    // Title
    _movieTitle.frame = CGRectMake(10 + 100 + 10 , 0, _bottomView.frame.size.width -  30 - 100, 40);
    _movieTitle.center = CGPointMake(_movieTitle.center.x, _movieImg.center.y);
    // 背景
    _bjImg.frame = CGRectMake(0, 0, self.contentView.frame.size.width - 20, self.contentView.frame.size.height - 20);
}


- (void)awakeFromNib {
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

@end
