//
//  MovievCollectionViewCell.m
//  豆瓣
//
//  Created by YIem on 16/3/11.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "MovievCollectionViewCell.h"
#import "UIImageView+WebCache.h"
#import "SDWebImageManager.h"
@interface MovievCollectionViewCell ()

@property (nonatomic, retain) UIImageView *imageV;

@property (nonatomic, retain) UILabel *label;

@end

@implementation MovievCollectionViewCell
- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        self.backgroundColor = [UIColor whiteColor];
        [self creatSubviews];
    }
    return self;
}

- (void)creatSubviews
{
    self.imageV = [[UIImageView alloc] init];
    [self.contentView addSubview:self.imageV];
    
    
    self.label = [[UILabel alloc] init];
    self.label.textAlignment = NSTextAlignmentCenter;
    self.label.lineBreakMode = NSLineBreakByTruncatingMiddle;
    [self.contentView addSubview:self.label];
    
    
    
}

- (void)layoutSubviews
{
    [super layoutSubviews];
    self.imageV.frame = CGRectMake(0, 0, self.frame.size.width, self.frame.size.height - 40);
    self.label.frame = CGRectMake(0, self.imageV.frame.size.height, self.frame.size.width, 40);
}

- (void)setMovie:(MovieModel *)movie
{
    [self.imageV sd_setImageWithURL:[NSURL URLWithString:movie.pic_url] placeholderImage:[UIImage imageNamed:@"picholder.png"]];
    self.label.text = movie.movieName;
}

@end
