//
//  ActivityTableViewCell.m
//  豆瓣
//
//  Created by YIem on 16/1/29.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "ActivityTableViewCell.h"

@implementation ActivityTableViewCell
- (instancetype)initWithStyle:(UITableViewCellStyle)style reuseIdentifier:(NSString *)reuseIdentifier
{
    self = [super initWithStyle:style reuseIdentifier:reuseIdentifier];
    if (self) {
        // tutu1
        self.tutu1 = [[UIImageView alloc]init];
        [self.contentView addSubview:_tutu1];
        // tutu2
        self.tutu2 = [[UIImageView alloc]init];
        [self.contentView addSubview:_tutu2];
        //title
        self.titleLable = [[UILabel alloc]init];
        _titleLable.font = [UIFont boldSystemFontOfSize:20];
        [self.contentView addSubview:_titleLable];
        // time
        self.timeLable = [[UILabel alloc]init];
        [self.contentView addSubview:_timeLable];
        // add
        self.addressLable = [[UILabel alloc]init];
        [self.contentView addSubview:_addressLable];
        // cate
        self.cateLable = [[UILabel alloc]init];
        [self.contentView addSubview:_cateLable];
        // wishe
        self.wisheLable = [[UILabel alloc]init];
        self.wisheLable.textColor = [UIColor redColor];
        [self.contentView addSubview:_wisheLable];
        // part
        self.partLable = [[UILabel alloc]init];
        self.partLable.textColor = [UIColor redColor];
        [self.contentView addSubview:_partLable];
        // imgview
        self.imgView = [[UIImageView alloc]init];
        [self.contentView addSubview:_imgView];
        // tu1
        self.tu1 = [[UIImageView alloc]init];
        [self.contentView addSubview:_tu1];
        // tu2
        self.tu2 = [[UIImageView alloc]init];
        [self.contentView addSubview:_tu2];
        // tu3
        self.tu3 = [[UIImageView alloc]init];
        [self.contentView addSubview:_tu3];
        // lu1
        self.lu1 = [[UILabel alloc]init];
        [self.contentView addSubview:_lu1];
        // lu2
        self.lu2 = [[UILabel alloc]init];
        [self.contentView addSubview:_lu2];
        //lu3 类型
        self.lu3 = [[UILabel alloc]init];
        [self.contentView addSubview:_lu3];
    }
    return self;
}
- (void)layoutSubviews
{
    [super layoutSubviews];
    // title
    _titleLable.frame = CGRectMake(10, 20, self.frame.size.width - 20, 40);
    // time
    _timeLable.frame = CGRectMake(40, 70, 200, 30);
    // add
    _addressLable.frame = CGRectMake(40, 110, 230, 30);
    // cate
    _cateLable.frame = CGRectMake(90, 150, 200, 30);
    // wish
    _wisheLable.frame = CGRectMake(80, 200, 50, 30);
    // part
    _partLable.frame = CGRectMake(200, 200, 50, 30);
    // imgView
    _imgView.frame = CGRectMake(self.frame.size.width - 140, 70, 120, 150);
    // tu1
    _tu1.frame = CGRectMake(10, 70, 30, 30);
    // tu2
    _tu2.frame = CGRectMake(10, 110, 30, 30);
    // tu3
    _tu3.frame = CGRectMake(10, 150, 30, 30);
    // lu1
    _lu1.frame = CGRectMake(15, 200, 60, 30);
    // lu2
    _lu2.frame = CGRectMake(150, 200, 60, 30);
    // lu3
    _lu3.frame = CGRectMake(40, 150, 50, 30);
    // tutu1
    _tutu1.frame = CGRectMake(5, 10, self.frame.size.width - 10, 230);
    // tutu2
    _tutu2.frame = CGRectMake(11, 60, _tutu1.frame.size.width - 10, 170);
}

- (void)awakeFromNib {
    // Initialization code
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}

@end
