//
//  LoginRegisterView.m
//  豆瓣
//
//  Created by YIem on 16/1/29.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "LoginRegisterView.h"

@implementation LoginRegisterView

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        [self Login];
    }
    return self;
}


- (void)Login
{
    // Label
    self.label = [[UILabel alloc] initWithFrame:CGRectMake(30, 10, self.frame.size.width - 300 , self.frame.size.height - 10)];
    [self addSubview:_label];
    // TextField
    self.textField = [[UITextField alloc] initWithFrame:CGRectMake(_label.frame.size.width , self.label.frame.origin.y, self.label.frame.size.width * 2, self.label.frame.size.height - 5 * 2)];
    
    self.textField.clearButtonMode = UITextFieldViewModeAlways;
    self.textField.clearsOnBeginEditing = YES;
    self.textField.borderStyle = UITextBorderStyleRoundedRect;
    [self.textField setBackgroundColor:[UIColor clearColor]];
    
    
    // 键盘 回收
    self.textField.delegate = self;
    [self addSubview:_textField];
}
- (BOOL)textFieldShouldReturn:(UITextField *)textField
{
    [self.textField resignFirstResponder];
    return YES;
}

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

@end
