
//
//  RegisterViewController.m
//  豆瓣
//
//  Created by YIem on 16/1/29.
//  Copyright © 2016年 www.yiem.net YIem博客. All rights reserved.
//

#import "RegisterViewController.h"
#import "LoginRegisterView.h"
#import "UserNameDataBaseHandle.h"
#import "username.h"

@interface RegisterViewController ()
@property (nonatomic, retain) LoginRegisterView *name;
@property (nonatomic, retain) LoginRegisterView *pass;
@property (nonatomic, retain) LoginRegisterView *passTwo;
@property (nonatomic, retain) LoginRegisterView *email;
@property (nonatomic, retain) LoginRegisterView *contact;
@end

@implementation RegisterViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.view.backgroundColor = [UIColor whiteColor];
    self.navigationItem.title = @"注册";
    [self youshang];
    
    
    self.name = [[LoginRegisterView alloc] initWithFrame:CGRectMake(20, 100,self.view.frame.size.width, 60)];
    self.name.label.text = @"帐号";
    self.name.textField.placeholder = @"请输入用户名";
    self.name.textField.borderStyle = UITextBorderStyleRoundedRect;
    
    [self.view addSubview:self.name];
    // password
    self.pass = [[LoginRegisterView alloc] initWithFrame:CGRectMake(self.name.frame.origin.x, self.name.frame.origin.y + self.name.frame.size.height + 20 , self.name.frame.size.width, self.name.frame.size.height)];
    self.pass.label.text = @"密码";
//    [self.pass.textField.text length] >8;
    self.pass.textField.placeholder = @"请输入密码";
    self.pass.textField.secureTextEntry = YES;
    
    [self.view addSubview:self.pass];
    // password2
    self.passTwo = [[LoginRegisterView alloc] initWithFrame:CGRectMake(self.pass.frame.origin.x, self.pass.frame.origin.y + self.pass.frame.size.height + 20 , self.pass.frame.size.width, self.pass.frame.size.height)];
    self.passTwo.label.text = @"确认密码";
    self.passTwo.textField.placeholder = @"请输入密码";
    self.passTwo.textField.secureTextEntry = YES;
    
    [self.view addSubview:self.passTwo];
    // email
    self.email = [[LoginRegisterView alloc] initWithFrame:CGRectMake(self.passTwo.frame.origin.x, self.passTwo.frame.origin.y + self.passTwo.frame.size.height + 20 , self.passTwo.frame.size.width, self.passTwo.frame.size.height)];
    self.email.label.text = @"邮箱";
    self.email.textField.placeholder = @"请输入邮箱";
    self.email.textField.borderStyle = UITextBorderStyleRoundedRect;
    [self.view addSubview:self.email];
    // 联系方式
    self.contact = [[LoginRegisterView alloc] initWithFrame:CGRectMake(self.email.frame.origin.x, self.email.frame.origin.y + self.email.frame.size.height + 20 , self.email.frame.size.width, self.email.frame.size.height)];
    self.contact.label.text = @"联系方式";
    self.contact.textField.placeholder = @"请输入联系方式";
    self.contact.textField.borderStyle = UITextBorderStyleRoundedRect;
    [self.view addSubview:self.contact];
    
    
    
    
    
}
- (void)youshang
{
    self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc] initWithTitle:@"注册" style:UIBarButtonItemStylePlain target:self action:@selector(rightAction)];
    
    self.navigationItem.rightBarButtonItem.tintColor = [UIColor blueColor];
}
- (void)rightAction
{
    
//    if (self.name.textField.text != 0) {
//        
//    }
    
    
    
    [[UserNameDataBaseHandle shareCollectDataBase]openDB];
    username *use = [[username alloc] init];
    NSMutableArray *array = [[UserNameDataBaseHandle shareCollectDataBase] selectAllUserName:self.name.textField.text];
    use = array.firstObject;
    
    if ([self.name.textField.text length] < 8) {
        NSLog(@"用户名少于8字符");
        // 提示框
        UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"警告!" message:@"用户名少于8字符" preferredStyle:UIAlertControllerStyleAlert];
        // 点选按钮
        UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"确认" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
            
        }];
        // 将按钮添加到提示框
        [alrerC addAction:alertYES];
        // 弹出提示框
        [self presentViewController:alrerC animated:YES completion:^{
            
        }];

    }else if (self.name.textField.text == use.userName) {
        // 提示框
        UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"警告!" message:@"用户名已经存在" preferredStyle:UIAlertControllerStyleAlert];
        // 点选按钮
        UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"确认" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
            
        }];
        // 将按钮添加到提示框
        [alrerC addAction:alertYES];
        // 弹出提示框
        [self presentViewController:alrerC animated:YES completion:^{
            
        }];

        
    } else if ([self.pass.textField.text length] < 8) {
        NSLog(@"密码少于8字符");
        // 提示框
        UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"警告!" message:@"密码少于8字符" preferredStyle:UIAlertControllerStyleAlert];
        // 点选按钮
        UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"确认" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
            
        }];
        // 将按钮添加到提示框
        [alrerC addAction:alertYES];
        // 弹出提示框
        [self presentViewController:alrerC animated:YES completion:^{
            
        }];

    } else if (self.pass.textField.text != self.passTwo.textField.text) {
        NSLog(@"两次密码不一致");
        // 提示框
        UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"警告!" message:@"两次密码不一致" preferredStyle:UIAlertControllerStyleAlert];
        // 点选按钮
        UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"确认" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
            
        }];
        // 将按钮添加到提示框
        [alrerC addAction:alertYES];
        // 弹出提示框
        [self presentViewController:alrerC animated:YES completion:^{
            
        }];

        
    } else if ([self.email.textField.text length] < 8 ) {
        NSLog(@"电子邮箱不能少于8");
        // 提示框
        UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"警告!" message:@"电子邮箱不能少于8" preferredStyle:UIAlertControllerStyleAlert];
        // 点选按钮
        UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"确认" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
            
        }];
        // 将按钮添加到提示框
        [alrerC addAction:alertYES];
        // 弹出提示框
        [self presentViewController:alrerC animated:YES completion:^{
            
        }];
        

    } else if ([self.contact.textField.text length] < 11) {
        NSLog(@"联系方式不能少于11");
        // 提示框
        UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"警告!" message:@"联系方式不能少于11" preferredStyle:UIAlertControllerStyleAlert];
        // 点选按钮
        UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"确认" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
            
        }];
        // 将按钮添加到提示框
        [alrerC addAction:alertYES];
        // 弹出提示框
        [self presentViewController:alrerC animated:YES completion:^{
            
        }];
        
        

    } else {

        NSLog(@"注册成功");
        // 提示框
        UIAlertController *alrerC = [UIAlertController alertControllerWithTitle:@"提示!" message:@"注册成功" preferredStyle:UIAlertControllerStyleAlert];
        // 点选按钮
        UIAlertAction *alertYES = [UIAlertAction actionWithTitle:@"返回登录" style:UIAlertActionStyleDefault handler:^(UIAlertAction * _Nonnull action) {
            [self dismissViewControllerAnimated:YES completion:nil];
        }];
        // 将按钮添加到提示框
        [alrerC addAction:alertYES];
        // 弹出提示框
        [self presentViewController:alrerC animated:YES completion:^{
            [[UserNameDataBaseHandle shareCollectDataBase]openDB];
            username *use = [[username alloc] init];
            use.userName = self.name.textField.text;
            use.password = self.pass.textField.text;
            [[UserNameDataBaseHandle shareCollectDataBase] insertUserName:use];
        }];

        
    }
        

    
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
